- name: get admin credentials
  include_role:
    name: helpers/get-credentials
  vars:
    plugin: "portainer"
    type: "admin-credentials"
    result_var: "portainer_admin_credentials"
    create: True

- name: show status
  pause:
    seconds: 1
    prompt: |
      #########
      Plugin: Portainer
      Plugin version: {{ cloudstack.plugins.portainer.version }}
      Plugin URL: {{ ingress_protocol }}://{{ cloudstack.plugins.portainer.subdomain }}.{{ cloudstack.stack.hostname }}
      Admin user: {{ portainer_admin_credentials.user }}
      Admin password: {{ portainer_admin_credentials.password }}
      #########
